This large, probably architect-designed home would be an over-sized four- square, if any part of it were actually square.

Yes, those are ionic columns and the decorative lintels over the first-floor windows also suggest Greek revival.

Not-quite-four-square, Warwick, NY c. 1910.

Large, not-square, Craftsman home.

Edges to Rubies The Complete SketchUp Tutorial


The apartments outside walls

Chapter 5—The Apartment's Outside Walls

Each chapter, except the last, raised the degree of difficulty of the modelling. Here we will leave those simple right angles behind. We'll have a full set of the complications that angled roofs and interiors tucked under the eaves provide. (Exception: the back wall will provide a brief, restful, return to complete simplicity.) To build the front wall we'll need the Protractor tool. Before we close I'll also mention the Axes tool.

Let's get started. Ctrl+N. File/Save As... "apartment_outside_walls.skp".

More Layers

Looking ahead, we'll want to be able to turn these walls on and off. On to look at the exterior; off to look at the interior. This is easy to do with layers.

One layer added for each wall This is what the Layers window will report when we are finished. We'll build each wall separately and then import them into a single model.

Left End Wall

Ctrl+N. File/Save As... "outside_wall_left.skp".

Terminology:
Gabled Dormer Shed Dormer
Gabled dormer Shed dormer

Architectural aside: dormer walls that continue side walls usually look awful. This is the cheap way to build, and it looks it. I'll wager, however, that not one in a hundred of you noticed that this was going on before now. Those wide overhangs in the Craftsman roof lines completely disguise this fact. Best of both worlds.

The Craftsman bungalow is usually symmetric, fore and aft of the roof peak. The symmetry is disguised by variations in the dormers. Our carriage house follows that model with a gabled dormer in front and a shed dormer in back. What this means is that we begin with symmetry.

The peak of the roof, as outlined by the left and right end walls, is centered between the front and back walls, fifteen feet above the floor. Partial walls, front and rear, rise four feet above the floor. The side walls continue up to make the dormer walls.

The above description is theoretical. Four feet is where the main part of the roof would meet the back wall, if it met the back wall. The back wall rises seven feet to form the rear shed dormer. The dormer rises 18" to the point where it meets the roofline (8'2" from the center line).

That said, open your trusty text editor and let's start specifying points. (Yes, this is much easier in the Ruby Console.) On import we will click all the apartment sub-components to the front corner of the floor. These dimensions are relative to that corner.

  1. x x x x x x (there are six points)
  2. [,,], [,,], [,,], [,,], [,,], [,,],
    (change "x" to "[,,],")
  3. [,,], [,,], [,,], [,,], [,,], [,,]
    (delete trailing comma)
  4. [0,,], [0,,], [0,,], [0,,], [0,,], [0,,]
    (replace "[" with "[0" -- all red coords are 0)
  5. Now change one point at a time:
    1. start at the front corner of the floor
      [0,0,0]
    2. up four feet
      [0,0,48]
    3. green: center of 25'4", blue: up 15'
      [0,152,180]
    4. green: back another 7'6", blue" 1'6" above 7' back wall
      [0,242,102]
    5. green: 25'4", blue: 7'
      [0,304,84]
    6. green: still 25'4", blue: on floor
      [0,304,0]
    This is the whole set of points:
    [0,0,0],[0,0,48],[0,152,180],[0,242,102],[0,304,84],[0,304,0]
My Ruby Console now says:

ents.add_face [0,0,0],[0,0,48],[0,152,180],
[0,242,102],[0,304,84],[0,304,0]
#<Sketchup::Face:0x4cc9ce0>

(Actually, it would say that if it were nice enough to highlight input.) Copy the inputs and paste them into your own Ruby Console. You'll get a wall for your trouble. After carefully checking the layout with the Tape measure, PushPull your wall 8 inches to the right and save.

Left wall 

Could have been easier (would have been easier with an easier shape!) but not bad.

Select tool. Triple click. Window/Layers (if it's not already open). Add layer "outside_wall_left". Entity Info. Dropdown. outside_wall_left. Layers. Click visibility of outside_wall_left on and off to check that your wall disappears and reappears. Save.

Right End Wall

Ctrl+N. File/Save As... "outside_wall_right.skp".

Do you want to know what I love about the Ruby Console? It's this. 28'4", the length of our carriage house, is 340". Back to your text editor and replace all "[0" with "[340". Copy to clipboard. Back to the Ruby Console, type "ents.add_face " and then paste your text string. Enter.

By magic, the right end wall appears. My Ruby Console says:

ents.add_face [340,0,0],[340,0,48],[340,152,180],[340,242,102],[340,304,84],[340,304,0]
&<Sketchup::Face:0x4cbb548>

PushPull the right wall 8" toward the left wall. Select the whole right wall; create an "outside_wall_right" layer and move everything into it. Click its Visible on and off to check. Save.

That was rapid progress.

Both walls 

Do you want to take a look? Ctrl+N, but don't File/Save As.... This is a throwaway. File/Import... "outside_wall_left". Click origin. File/Import... "outside_wall_right". Click origin.

Later you'll be asked if you want to save the changes to "Untitled". You don't. If it's "Untitled" you didn't intend to keep it.

What's the question in the back? Oh. The question is: "Why aren't we using components?" Excellent question. Our finished walls will have windows. If it turns out that the windows are the same in both walls, we'll switch to components.

Back Wall

Ctrl+N. File/Save As... "outside_wall_back.skp".

Add the back wall on your own. Tape guides to locate it. Its back is 25'4 from the red axis. Its front is eight inches closer to the red axis. Its left is eight inches from the green axis. Its right is eight inches short of 28'4. (If you are terrible about math, Tape out a guide at 28'4 and then Tape another eight inches back toward the green axis.) Make it seven feet tall.

Two points of extra credit if its top is not flat but matches the slope of the side walls. That's easily done by pulling up the inside top edge. But by how much? 8 times the tangent of the angle of the rear shed dormer's roof.

Dog ate your calculator? Save. Open "outside_wall_left.skp". Tape out guides and measure. Reopen "outside_wall_back". (No, you don't want to save the changes to "outside_wall_left".) Pull up and save again.

Select the whole back wall, create and move all into an "outside_wall_back" layer. Save.

Back wall added 

Here's another throwaway. I recommend that you make it to check that "outside_wall_back" fits correctly.

When I made mine the first time, I found out that I hadn't remembered to Edit/Delete Guides before saving the back wall.

Front Wall

Ctrl+N. File/Save As... "outside_wall_front.skp".

I built this wall using standard modelling tools. I rebuilt it using the Ruby Console. The standard modelling tools version took almost twice as long as the Ruby console version.

If you have an assistant (or a tutor) kind enough to give you 3d points that outline a complex face, the Ruby Console is the way to go, and by far. Here's how I developed the first set of points.

  1. x x x x x x x x x
    Nine points around the wall.
  2. [,,], [,,], [,,], [,,], [,,], [,,], [,,], [,,], [,,],
    Replace "x" with "[,,],"
  3. [,,], [,,], [,,], [,,], [,,], [,,], [,,], [,,], [,,]
    Delete the trailing ","
  4. [,0,], [,0,], [,0,], [,0,], [,0,], [,0,], [,0,], [,0,], [,0,]
    We're not going anywhere on the green axis, so replace ",," with ",0,"
  5. Work around from lower-left, counter-clockwise
    1. Start inside the left wall
      [8,0,0]
    2. (28'4" = 340") Go to inside of right wall
      [332,0,0]
    3. Go up four feet
      [332,0,48]
    4. Go back 67 inches
      [265,0,48]
    5. Go up to seven and a half feet
      [265,0,90]
    6. Go to eleven and a half feet tall at the center (340/2 = 170)
      [170,0,138]
    7. Go to seven and a half feet tall, at the length of the dinette
      [75,0,90]
    8. Drop to four feet tall
      [75,0,48]
    9. Back to inside, left wall
      [8,0,48]
Finished result (which you can copy/paste into your Ruby Console):
[8,0,0], [332,0,0], [332,0,48], [265,0,48], [265,0,90], [170,0,138], [75,0,90], [75,0,48], [8,0,48]

Window/Ruby Console. You probably have "ents" from last time. If not, ents = Sketchup.active_model.entities. Enter.

Do NOT PushPull the wall you are about to draw.

Front face of front wall 

To build the wall, type, in the Ruby Console, ents.add_face . Then paste in the set of points and press Enter. While you have them, paste them into your text editor.

If you Pushpulled that wall you have a problem getting the side bits to match the roof angle. That's simple if you use the Ruby Console. Let's convert those points to march around the back side of the front wall.

  1. Replace all the ",0," with ",8," because this is the back of the front wall.
  2. Replace all the "48" with "55" to match the slope of the roof. Copy to clipboard.
  3. In the Ruby Console ents.add_face and paste in your new points.
Back face of the front wall 

You now have front and back faces. Get your Line tool and connect the corresponding corners to turn this into a "solid" wall.

Do I see another question in the back? The question is, "How did I know that '55' should replace '48' in the new points?" Another excellent question. I used the Protractor tool and some trigonometry.

The Protractor Tool

If the thought of "trigonometry" causes you to have a panic attack, stop. Breathe deeply. Get out your Tape measure. Draw some guides on the side wall that are back 8 inches (the width of the front wall) and up 48 inches. Then measure up to the top of the wall just above that guide intersection. No math required. Make a cup of something soothing—perhaps herbal tea with honey—and read on. We'll be using the Protractor tool and I'll teach you how to replace the trig with simple carpentry.

For those who are not afraid of math, press on, even if you have forgotten all the trig you ever knew. Save your front wall. Open the left wall and Zoom in on the front corner. Tools/Protractor (no keyboard shortcut).

Using the protractor tool
The protractor measures angles. Click the point where the roofline ends. Slide left horizontally (along the green axis) to establish the zero angle. Click. Rotate up until you are on the roofline. Read the angle in the VCB: ~41.0. (That's "approximately" 41.0 degrees.)

The protractor also creates construction guides. If you know the angle, this can be very helpful. If you only know rise and run you can type, for example, "7:9" (as in our stairway). This is almost helpful enough to do a bannister without the Ruby Console.

If you have a scientific calculator: plug "41" into your scientific calculator and press "tan". Mine says "0.86...".

If you don't have a scientific calculator, I recommend you get one. They used to be expensive. Today you should get change from a ten dollar bill. If you Google for "free calculator" plus either "windows" or "mac" you'll get lots of choices for the sort of calculator you can't put in your pocket. On the other hand, you'll have $10 in your pocket.

If you don't have a scientific calculator and want a result RIGHT NOW, type
t = Math.tan 41 * Math::PI / 180
into your Ruby Console.

On your calculator press "x 8 =" or in the Ruby Console t * 8 . Both will tell you that a scootch less than seven is the answer.

If Math scares you but carpentry doesn't, work with the ratio of rise to run. Our high Craftsman bungalow rises 11' (132 inches) above a run of half of 25'4 (152 inches). Carpenter's revenge: 132 divided by 152 is a bit more exact than using the tangent of 41 degrees.

Front Wall, Side Stubs

We're not quite done. The "front" wall actually needs bits of side wall for the gable-ended dormer. We'll begin with the protractor tool.

Laying out the stub walls 

Zoom in to the area shown. Place the protractor on the side of the gable wall (it will show red) and slide it into the corner. Click. Slide out on the green axis. Click. Type "41". Click. You now have a construction guide.

Actually, I'm showing you how to use the Protractor so I should mention that it's a very smart tool. Let's change the above. "... Slide out on the green axis. Click." Now point to the outside corner where vertical meets horizontal. Click. You now have a construction guide and it's slightly more accurate than the one that used the "~41.0" angle.

Drawing a line to the guide 

Draw a line from the higher corner of the gable wall to the construction guide, on the green axis.

Draw another from the end of the line you just drew to the lower corner where you had your protractor centered. You now have a triangular face. PushPull the face back 8 inches.

Repeat this on the other side of the gable. Save.

Five points extra credit (that's the most I ever give!) for perfection. Examine these two views taken from above and behind the gable walls.

Close Enough Perfect
Side wall stub drawn acceptably Side wall stub drawn perfectly

Construction guides are great. Two clicks (Edit/Delete Guides) and a whole bunch of them are gone. Sometimes, however, using lines is better, even if they have to be selectively deleted. Yes, that is a hint.

Ceiling Planes

In back, our shed dormer reduces ceiling height, but not below seven feet. In front, however, we have just over four and a half feet at the front outside the gable. Putting ceiling height planes here will help us keep our model under the ceiling

Ceiling planes added to the front wall  

Add the celing planes you see here over the dinette and the small room.
Create an "outside_wall_front" layer and move everything into it. Save.

Axes Tool? Maybe Not

The axes tool (Tools/Axes, no shortcut) lets you change to a non-standard axes orientation. This may be helpful if you are drawing a lot of geometry on a non- standard plane.

Simple house, tilted 

Here we're creating a simple house, ready to pull up a roof, but the house is tilted. Normally, you would pull up on the blue axis, but not if the blue axis is not "up" relative to the geometry you are pulling. What to do?

Tilted axes 

Here the axes have been tilted so that the blue axis is "up" relative to the tilted ground.

Roof correctly pulled up 

You pull up, look for the customary "on blue axis" tooltip. Life is good.

Right-click any axis and choose "reset" when you want life to return to normal.

How, specifically, do you use the axes tool? It asks you to do three things. You give a click in response to each question.

  1. Pick point for origin of axes
  2. (wriggle wrodent needed)Pick point for red axis
  3. Pick point for green axis
Choose an origin where it will be easy to pick the red and green points. The blue axis will be created through the origin, perpendicular to the red/green plane.

I see a hand raised. Ah ha! The question is "Since this is a tutorial, why aren't you showing us this tool when it's time to use it?" You guys ask great questions. The truth is, I haven't used the axes tool since I've started using the Ruby Console. (P.S. The previous was true when I wrote it. The axes tool came in very handy when I furnished my small room. Stated correctly, "I haven't used the axes tool for anything serious since I started using the Ruby Console.")

Finishing Touches

It's time to call the painters. What colors were used in the Craftsman era?

A lot of the Craftsman era is a reaction to the late Victorian, the gay '90s. (Back then, "gay" meant "party-time mood".) Colors were bright. Architecture was asymmetric.

The pendulum swung back. Colors were earthy. Architecture returned to symmetry. Beige with brown accents was common. An earthy blue over off white, that I'm choosing, was also common.

Create material dialog, used to create a custom color 

I've started with Color_I03. Locate it in the Materials window. Color_I07, immediately below I03, would be a very non-Craftsman color.

But I wasn't really happy. Too much red. So I clicked the edit tab and the plus sign to add a new color.

I've chosen the RGB color picker as it's the only one I really understand. Here I'm going to mix 130 parts red, 150 parts green and 255 (maximum) parts blue. There is an automatic deduction of 10 points from your final score if you use my colors. Five bonus points awarded if your color is restful. Earthy is good.

Note the Opacity section at the bottom. Outside walls are fully opaque. On the other hand, doing nice stained glass work requires full control of the amount of pigment in the glass. That's right here. (This is a hint. See if you remember it in Chapter 9.)

The painters are going to charge extra because they can't just paint. They have to open each wall individually, paint, then save. Open next wall. Repeat.

Don't pay the painters until you've checked that they did both ends of both end walls and both the little gable side walls on the front wall.

One last item. Look around at the inside of the outside walls. If any of them are reversed, select the face, then right-click, Reverse Faces.

Outside walls painted an earthy blue

We're not really ready to create "apartment_outside_walls" yet. (Our walls have no windows.) You can build the complete outside walls component here, just to see where we're going (and to see that it really takes almost no time at all). Ctrl+N. File/Save As... "apartment_outside_walls.skp". File/Import... each of the walls. As they all click to the origin, import the left wall last. Save.

Did I mention the windows? In domestic architecture there are two ways to treat windows. If your style demands a specific treatment, such as two evenly- spaced windows on either side of a central door (colonial, Georgian, federal, early Victorian) you put the windows where they belong and then organize the interior based on the windows. In other styles you can design the interior and then add windows later. That's our situation. We'll get to windows in Chapter 9, Putting It Together.

Congratulations. You are now in the middle of the non-Ruby (well, mostly non- Ruby) half of this tutorial. You've used all but two of the keyboard shortcuts. You know a lot! The inside walls are next and they'll be done entirely with the tools you've already used.


The apartments floor. View of apartment contents. The apartments inside walls.